package com.demo.utils;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Properties;

public class ConfigReader {

    static final String configFilePath = "src/test/resources/Config.properties";
    static Properties prop;

    public ConfigReader() throws IOException {

        prop = new Properties();
        prop.load(new FileInputStream(new File(configFilePath)));
    }

    public String getBaseURL() {

        return prop.getProperty("appBaseUrl");
    }

    public int getRampUPCount() {

        return Integer.parseInt(prop.getProperty("rampupCount"));


    }

    public long getRampupDuration() {

        return Long.parseLong(prop.getProperty("rampupDuration"));

    }
}
